****November 14, 2014
**** Chapter 3 descriptive statistics presented in figures 3.1-3.3

**** run this file on the datafile chapters345.dta

log using chs3figs1-3.log, replace

collapse typeofplaintiff typeofdefendant year  referringnation article169 article173 article177, by (casenumber)

***article177 are preliminary rulings, article169 are infringement rulings, article177 are annulment rulings

***referring nation is the country in whose court a preliminary reference originated

***Figure 3.1 : type of litigant in annulments/preliminary rulings. 

tab typeofplaintiff if article173==1 & typeofplaintiff<7
tab typeofdefendant if article173==1 & typeofdefendant<7
tab typeofplaintiff if article177==1 & typeofplaintiff<7
tab typeofdefendant if article177==1 & typeofdefendant<7

***Figure 3.2 : types of cases by decade

tab article169 if year<1970 
tab article169 if year<1980 & year>1969 
tab article169 if year<1990 & year>1979 
tab article169 if year<2000 & year>1989 


tab article173 if year<1970 
tab article173 if year<1980 & year>1969
tab article173 if year<1990 & year>1979 
tab article173 if year<2000 & year>1989 

tab article177 if year<1970 
tab article177 if year<1980 & year>1969 
tab article177 if year<1990 & year>1979 
tab article177 if year<2000 & year>1989 



***Figure 3.3

tab referringnation if year<1970
tab referringnation if year<1980 & year>1969
tab referringnation if year<1990 & year>1979
tab referringnation if year<2000 & year>1989  

log close
